Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT > Class Template Reference

Mixin base class for generated servant. More...

`#include <Servant_Impl_T.h>`

Inheritance diagram for CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >:

[legend]
Collaboration diagram for CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >:

[legend]
List of all members.

## Public Member Functions
| Servant_Impl (EXEC *exe, Components::CCMHome_ptr home, Home_Servant_Impl_Base *home_servant, Session_Container *c)
virtual | ~Servant_Impl (void)
virtual CORBA::Boolean | same_component (CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual ::Components::CCMHome_ptr | get_ccm_home (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | _get_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual Components::SessionComponent_ptr | get_executor (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | ciao_preactivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | ciao_activate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | ciao_postactivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | ciao_passivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| @NOTE: The busted operation.
CORBA::Boolean | is_activated (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | activate_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Attributes
CORBA::Boolean | activated_
CORBA::Boolean | pre_activated_
CORBA::Boolean | post_activated_
EXEC_VAR | executor_
CONTEXT * | context_

## Detailed Description

### template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
class CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >

Mixin base class for generated servant.

This class implements navigation and other operations common to all generated servants.

## Constructor & Destructor Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::Servant_Impl | ( | EXEC * | exe,
|  | Components::CCMHome_ptr | home,
|  | Home_Servant_Impl_Base * | home_servant,
|  | Session_Container * | c
| ) |

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::~Servant_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Object_ptr CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::_get_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
void CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::activate_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
void CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::ciao_activate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
void CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::ciao_passivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| @NOTE: The busted operation.

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
void CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::ciao_postactivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
void CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::ciao_preactivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
Components::CCMHome_ptr CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::get_ccm_home | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
Components::SessionComponent_ptr CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::get_executor | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements CIAO::Servant_Impl_Base.

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Boolean CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::is_activated | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Boolean CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::same_component | ( | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Boolean CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::activated_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CONTEXT* CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::context_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
EXEC_VAR CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::executor_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Boolean CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::post_activated_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename CONTEXT>
CORBA::Boolean CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >::pre_activated_`[protected]`

The documentation for this class was generated from the following files:

- Servant_Impl_T.h
- Servant_Impl_T.cpp